You are here: Foswiki>Tasks Web>Item11937 (29 Jul 2012, GeorgeClark)Edit Attach

Item11937: Configure chokes on RCS 5.8.1

Priority: Normal
Current State: Duplicate
Released In: n/a
Target Release: n/a
Applies To: Engine
Component: Configure
Reported By: PaulDann
Waiting For:
Last Change By: GeorgeClark
I recently updated to RCS 5.8.1, and discovered that Foswiki 1.1.5's configure script chokes in lib/Configure/, line 505. It seems the code assumes that the version number will be a float (e.g. 5.8), and attempts to compare it as a float. Because of the extra dot, the comparison fails.

-- PaulDann - 12 Jun 2012

Duplicate of Item11955. Fixed on that task. Setting this one to Duplicate, even though it came first.

-- GeorgeClark - 29 Jul 2012

ItemTemplate edit

Summary Configure chokes on RCS 5.8.1
ReportedBy PaulDann
Codebase 1.1.5
SVN Range
AppliesTo Engine
Component Configure
Priority Normal
CurrentState Duplicate
TargetRelease n/a
ReleasedIn n/a
Topic revision: r2 - 29 Jul 2012, GeorgeClark - This page was cached on 30 Nov 2015 - 20:41. Get a fresh version here.
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License